= nng_url_clone(3)
//
// Copyright 2020 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_url_clone - clone URL structure

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

int nng_url_clone(nng_url **dup, nng_url *orig);
----

== DESCRIPTION

The `nng_url_clone()` makes a clone of the original URL structure _orig_, and
saves the result in the location pointed by _dup_.
This clone includes fully duplicating each of the member fields.

The new
xref:nng_url.5.adoc[`nng_url`] structure can be disposed of
using
xref:nng_url_free.3.adoc[`nng_url_free()`] when it is no longer needed.

== RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

== ERRORS

[horizontal]
`NNG_ENOMEM`:: Insufficient free memory exists to duplicate a message.

== SEE ALSO

[.text-left]
xref:nng_url_free.3.adoc[nng_url_free(3)],
xref:nng_url_parse.3.adoc[nng_url_parse(3)],
xref:nng_strerror.3.adoc[nng_strerror(3)],
xref:nng_url.5.adoc[nng_url(5)],
xref:nng.7.adoc[nng(7)]
